This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 61572 - request: better cut-n-paste, save-as-text
request: better cut-n-paste, save-as-text
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 13:39 EST by Joe Harrington
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 13:39:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2002-03-21 13:39:26 EST
Description of Problem:
The cut-and-paste function in Mozilla does not preserve spacing in tables or
columnar text.  There is no save-as-text feature

Version-Release number of selected component (if applicable):
mozilla-0.9.9-2

How Reproducible:
always

Steps to Reproduce:
1. visit a URL with a table (either a real HTML table or an ASCII one)
2. drag with button-1, text highlights
3. paste it into an emacs window

Actual Results:
layout of text on page is lost, columns disappear, there is no placeholder for
images

Expected Results:
Layout of text is preserved. Images are replaced by "[ image ]" or the
alternative text specified by the web page.  Also a menu-driven save-as-text
feature should exist.  Both the save-as-text and cut-and-paste should produce
exactly the same result for the region selected.  Ideally, in addition to a
line-oriented cut-and-paste, a rectangle-oriented one (a la xpdf) should exist,
perhaps with shift-button-1 or the like.  Another desired feature would be the
ability to select the width of the text page to be produced.  There are several
ways this could be done and each will have its application.  Option 1 is to
produce text at a fixed number of columns, essentially re-rendering the page as
a text-only browser would (some sites refuse to deal with text-only browsers, so
please don't say to go use one).  Option 2 is to render the page exactly as it
appears in the present window, which may mean a different number of characters
on each line if there is proportional text in the window.  Finally, text on
buttons, in menus, in type-in boxes, etc. should all be included, not ignored as
it has been in other browsers.  This includes such an item that appears within a
larger selection.

Additional Information:

A save-as-text feature existed in Netscape 4.x.  While not ideal, it did much of
the job.  The cut-and-paste feature of Netscape 4.x was awful.
	
--jh--
Comment 1 Christopher Blizzard 2002-08-29 17:40:39 EDT
If this gets fixed upstream, I'll take it.  But I'm not going to work on it.

Note You need to log in before you can comment on or make changes to this bug.